﻿<!--
	jimu_changepassword_result.php
	事務員パスワード変更結果画面
	author: Kiho Murakami
	history: 
		2008/01/04 村上 第1版作成
-->
<!--ライブラリ-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
?>

<!--入力-->
<?php
	$first = $_POST["first"];
	$second = $_POST["second"];
?>

<?php set_header("パスワード変更ページ"); ?>
<?php set_quicklink(); ?>

<!--処理-->
<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}

// エラー（１）パスワードが入力されていない
	if(!strlen($first) || !strlen($second)){
		$error_msg[] = "パスワードが入力されていません。<br>\n
						もう一度入力して下さい。<br><br>\n";

//エラー（２）入力されたパスワードが一致しない
	}else if($first != $second){
		$error_msg[] = "パスワードの入力が違います。<br>\n
						もう一度入力して下さい。<br><br>\n";

//エラー（３）４～１０字以外、英数字以外の登録
	}else if(!preg_match("/^[a-zA-Z0-9]{4,10}$/", $first)){
		$error_msg[] = "４文字以上１０文字以内、<br>半角英数字のみ有効です。<br><br>\n";


//エラーがなければ登録
	}else{

		$new_file = "jimu_pass_tmp.csv";
		$old_file = "jimu_pass.csv";
	
	// 新しいほうのファイルをクリアする
		unlink("$new_file");
		touch("$new_file");	

		$fp_old = fopen($old_file, "r");
		$fp_new = fopen($new_file, "w");
		flock($fp_new, LOCK_EX);

		while($line = fgetcsv($fp_old, 1000, ",")) {
			list($login_id, $password) = $line;
			$posted = compact("login_id", "first");
			$data = implode(",", $posted);
			fputs($fp_new, $data."\n");	
		}

		flock($fp_new, LOCK_UN);
		fclose($fp_new);
		fclose($fp_old);

	// 新しいファイルの内容を古いファイルに写す
		unlink("$old_file");
		touch("$old_file");
		copy("$new_file", "$old_file");

		$complete_msg = "パスワードを変更しました。<br><br>\n";

	}


?>

<!--出力-->
<center>
<h3>パスワード変更</h3>

<?php
if(count($error_msg) != 0){
	for($i = 0; $i < count($error_msg); $i++) {
		print "<span class=error>　".$error_msg[$i]."</span><br>\n";
	}
		print"<form action=\"jimu_changepassword.php\">\n";
			print "<input type=\"submit\" value=\"戻る\">\n";
		print "</form>\n";

}else{
	print $complete_msg;

	print "<form action=\"jimu_kanri.php\">\n";
		print "<input type=\"submit\" value=\"戻る\"><br>\n";
	print "</form>\n";
}

?>

</body>
</html>

