<!--
	jimu.ticket.list.printable.php
	事務用　印刷画面
	author: Keitaro Shimizu
	history: 
		2008/01/10 清水 第1版作成
-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
?>
<?php set_header_printable("印刷画面"); ?>
<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}

$array_mitei=array();
$mitei_count=0;
$print_time=date("Y/m/d H:i:s");
$csv_file="kouen.csv";
$stagedates=array();
$countdates=0;
$stageprices=array();
$countprices=0;
$readfile=fopen($csv_file,"r")or die("※現在予約の受付は行われていません $csv_file");
while($line = fgetcsv($readfile, 1000, ",")) {
//1つの投稿を表示する
	list($mark,$value)= $line;
	if($mark=="title"){
		$title=$value;
	}
	if($mark=="stage"){
		$stagedates[$countdates]=$value;
		$countdates=$countdates+1;
	}
	if($mark=="price"){
		$stageprices[$countprices]=$value;
		$countprices=$countprices+1;
	}
}
flock($readfile, LOCK_UN);
fclose($readfile);
?>


<?php

	$dataFile = "unitedfile.csv";
	unlink($dataFile);
	touch($dataFile);


	$id = "user_pass.csv";
	$id_file = fopen($id, "r");
	while($line = fgetcsv($id_file, 1000, ",")) {
		list($load_staff, $load_id, $load_pass) = $line;

		$data = "./ticket/".$load_id.".csv";
		$datafile = fopen($data, "r");
		while($line = fgetcsv($datafile, 1000, ",")) {
		list ($staff, $customer, $num_ticket, $method, $stage, $date_mitei, $price, $entry_date, $bikou,$load_id) = $line;



	// 書き込みます
	$file = fopen($dataFile, "a") or die("OPEN ERROR $fileName");
	flock($file, LOCK_EX);//ファイルをロックする（同時書き込みの防止)

		//書き込むデータを作成する
		$posted = compact("staff", "customer", "num_ticket", "method", "stage", "date_mitei", "price", "entry_date", "bikou",$load_id);//投稿内容を配列に結合？
		$data = implode(",", $posted);//ログファイルに入れる文字列
		//書き込む
		fputs($file, $data."\n");

	flock($file, LOCK_UN);
	fclose($file);
	}
}
$unitedfile="unitedfile.csv";	
		
	$makefile = fopen($unitedfile, "r");
	$count=0;
	$i=0;
	$sortarray_staff=array();
	$sortarray_customer=array();
	$sortarray_num_ticket=array();
	$sortarray_method=array();
	$sortarray_stage=array();
	$sortarray_date_mitei=array();
	$sortarray_price=array();
	$sortarray_entry_date=array();
	$sortarray_bikou=array();
	$linenum=array();
	while($line = fgetcsv($makefile, 1000, ",")) {
	//1つの投稿を表示する
	list($staff,$customer, $num_ticket, $method, $stage, $date_mitei, $price, $entry_date,$bikou)= $line;
	$sortarray_staff[$i]=$staff;						//配列にCSVデータを入れる。
	$sortarray_customer[$i]=$customer;
	$sortarray_num_ticket[$i]=$num_ticket;
	$sortarray_method[$i]=$method;
	$sortarray_stage[$i]=$stage;
	$sortarray_date_mitei[$i]=$date_mitei;
	$sortarray_price[$i]=$price;
	$sortarray_entry_date[$i]=$entry_date;
	$sortarray_bikou[$i]=$bikou;
	$linenum[$i]=$i;
	$i=$i+1;
	}
	fclose($makefile);	
	$max=$i;

$newarray_staff=array();								//担当者の総数を計算
$unique=array_unique($sortarray_staff);
$j=0;
for($m=0;$m<$max;$m=$m+1){
	if($unique[$m]!=null){
		$newarray_staff[$j]=$unique[$m];
		$j=$j+1;
	}
}

sort($newarray_staff);							//担当者を昇順にソート
$num_staff=count($newarray_staff);

for($x=0;$x<$max-1;$x=$x+1){
	for($y=$x+1;$y<$max;$y=$y+1){
		if($y!=null&&$sortarray_stage[$x]>$sortarray_stage[$y]){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
		}	
	}
}

?>




<p class=hide>
<b>印刷画面</b><br>
	 更新時間：<?=$print_time?><br>
　　この画面をブラウザの「プリント」で印刷してください。<br>
　　来場日時未定の情報は一番下に表示されます。
　　<a href="jimu_ticket_list.php">一覧に戻る</a><br><br><br>
</p>

<?php
///////////////////////////////////////////////////////////////////////////////
$newarray_staff=array();								//担当者の総数を計算
$unique=array_unique($sortarray_staff);
$j=0;
for($m=0;$m<$max;$m=$m+1){
	if($unique[$m]!=null){
		$newarray_staff[$j]=$unique[$m];
		$j=$j+1;
	}
}
sort($newarray_staff);							//担当者を昇順にソート
$num_staff=count($newarray_staff);

$staffarray_ticket=array();						//担当者ごとの販売枚数を求める配列作成
$staffarray_price=array();						//担当者ごとの販売総額を求める配列作成
for($k=0;$k<$num_staff;$k=$k+1){
		$staffarray_ticket[$k]=0;				//担当者ごとの販売枚数・総額を計算
		$staffarray_price[$k]=0;
		for($l=0;$l<$max;$l=$l+1){	
			if($sortarray_staff[$l]==$newarray_staff[$k]){
				if($sortarray_num_ticket[$l]=="1-3"){
				$a=$sortarray_price[$l]*2;
				$b=2;
				}
				else if($sortarray_num_ticket=="4-"){
				$a=$sortarray_price[$l]*4;
				$b=4;
				}
				else{
				$a=$sortarray_price[$l]*$sortarray_num_ticket[$l];
				$b=$sortarray_num_ticket[$l];
				}
			$staffarray_ticket[$k]=$staffarray_ticket[$k]+$b;
			$staffarray_price[$k]=$staffarray_price[$k]+$a;
			}
		}
}

$amount_ticket=0;
for($j=0;$j<$max;$j=$j+1){
	if($sortarray_num_ticket[$j]=="1-3"){
		$amount_ticket=$amount_ticket+2;
	}else if($sortarray_num_ticket[$j]=="4-"){
		$amount_ticket=$amount_ticket+4;
	}else{
		$amount_ticket=$amount_ticket+$sortarray_num_ticket[$j];
	}
}
$amount_price=array_sum($staffarray_price);			//販売チケット総額の計算
print "現在のチケット販売総枚数は、".$amount_ticket."枚です。<br>\n";
print "売り上げ総額は、".$amount_price."円です。<br>\n";
print "<br><br>\n";
//////////////////////////////////////////////////////////////////////////////
for($p=0;$p<$countdates;$p=$p+1){
	print "<span class=red><b><u>".$stagedates[$p]."</u></b></span><br><br>\n";

	for($k=0;$k<$num_staff;$k=$k+1){
		$staffarray_ticket=array();						//担当者ごとの販売枚数を求める配列作成
		$staffarray_price=array();	
	print "<hr style=\"color:black;border-style:dashed;\"><br>\n";

		print "<div id=\"set\">\n";
		print"<span class=maroon>●".$newarray_staff[$k]."＜公演日時：".$stagedates[$p]."＞</span>
			　＜更新時間：".$print_time."＞<br><br>\n";


		for($l=0;$l<$max;$l=$l+1){
			if($sortarray_staff[$l]==$newarray_staff[$k]&&$sortarray_stage[$l]==$stagedates[$p]&&$sortarray_date_mitei[$l]!="未定"){
				if($sortarray_num_ticket[$l]=="1-3"){
					$a=$sortarray_price[$l]*2;
					$b=2;
				}else if($sortarray_num_ticket=="4-"){
					$a=$sortarray_price[$l]*4;
					$b=4;
			
				}else{
					$a=$sortarray_price[$l]*$sortarray_num_ticket[$l];
					$b=$sortarray_num_ticket[$l];
				}
				$staffarray_ticket[$m]=$staffarray_ticket[$m]+$b;
				$staffarray_price[$m]=$staffarray_price[$m]+$a;
			}
			else if($sortarray_staff[$l]==$newarray_staff[$k]&&$sortarray_stage[$l]==$stagedates[$p]&&$sortarray_date_mitei[$l]=="未定"){
			$array_mitei[$mitei_count]=$linenum[$l];
			$mitei_count=$mitei_count+1;
			}
		}
	
		
		
			print "合計枚数：".$staffarray_ticket[$m]."枚<br>\n";
			print "返金合計金額：".$staffarray_price[$m]."円<br><br>\n";

	
			print "<table>";
		
		//例
			print "<tr>\n<th rowspan=\"2\">来た？</th>\n";
			print "<th rowspan=\"2\">お客様名</th>\n";
			print "<th>チケ数</th><th>購入方法</th><th>値段</th>\n";
			print "</tr><tr>\n";
			print "<th colspan=\"3\">備考・メモなど</th>\n";
			print "</tr>\n";
			if($staffarray_ticket[$m]==0){
				print "※予約情報がありません。\n";
				for($space=0;$space<2;$space=$space+1){
					print "<tr>";
					print "<td rowspan=\"2\" valign=\"top\">";
					print "　";
					print "</td>\n";
					print "<td rowspan=\"2\" width=\"80\">　</td>\n";
						print "<td>　　　枚</td>\n";
					print "<td>　</td>\n";
					print "<td>　　円</td>\n";
					
					print "</tr>\n";
					print "<tr>\n";
					print "<td colspan=\"3\" width=\"200\">　</td>\n";
					
				}
				print "</table>\n";
			}
			else{
				for($l=0;$l<$max;$l=$l+1){
			
					if($sortarray_staff[$l]==$newarray_staff[$k]&&$sortarray_stage[$l]==$stagedates[$p]&&$sortarray_date_mitei[$l]!="未定"){
						print "<tr>";
			//チェック欄
						print "<td rowspan=\"2\" valign=\"top\">";
						print "　";
				
						print "</td>\n";

			//お客様名
						print "<td rowspan=\"2\" width=\"80\">".$sortarray_customer[$l]."</td>\n";

			//チケット数
						if($sortarray_num_ticket[$l]=="1-3"){
							print "<td><font color=\"red\">1～3枚</font></td>\n";
						}	
						else if($sortarray_num_ticket[$l]=="4-"){
							print "<td><font color=\"red\">4枚以上</font></td>\n";
						}
						else{
							print "<td>".$sortarray_num_ticket[$l]."枚</td>\n";
						}

			//方法
						if($sortarray_method[$l]=="チケットのみ当日渡し"){
							$sortarray_method[$l]="チケ当日";
						}
						print "<td>".$sortarray_method[$l]."</td>\n";

			//金額
						if($sortarray_price[$l]=="招待"){
							print "<td>".$sortarray_price[$l]."</td>\n";
						}
						else{
							print "<td>".$sortarray_price[$l]."円</td>\n";
						}
						print "</tr>\n";
					print "<tr>\n";
			//備考またはメモ用空欄
						if($sortarray_bikou[$l]==""){
							print "<td colspan=\"3\" width=\"200\">　</td>\n";
						}
						else{
							print "<td colspan=\"3\" width=\"200\"><span class=mini>".$sortarray_bikou[$l]."</span></td>\n";
						}

						print "</tr>\n\n";
						
						
				
				}
			}//for
			for($space=0;$space<2;$space=$space+1){
							print "<tr>";
							print "<td rowspan=\"2\" valign=\"top\">";
							print "　";
							print "</td>\n";
							print "<td rowspan=\"2\" width=\"80\">　</td>\n";
							print "<td>　枚</td>\n";
							print "<td>　</td>\n";
							print "<td>　円</td>\n";
					
							print "</tr>\n";
							print "<tr>\n";
							print "<td colspan=\"3\" width=\"200\">　</td>\n";
			}
			print "</table>\n";
			print "<br>\n";
			
		}//else
		print "</div>\n";
	
	}
		print "<hr style=\"color:black;border-style:solid;\">\n";
		print "<br>\n";
}
/////////////////////////////////////////////////////////////////////////////////
print "<span class=red><b><u>来場日時未定</u></b></span>\n";
print "＜更新時間：".$print_time."＞<br><br>\n";
print "<table>";
		
		//例
			print "<tr>\n<th rowspan=\"2\">来た？</th>\n";
			print "<th rowspan=\"2\">担当者名</th>\n";
			print "<th rowspan=\"2\">お客様名</th>\n"; 
			print "<th>チケ数</th><th>購入方法</th><th>値段</th>\n";
			print "</tr><tr>\n";
			print "<th colspan=\"3\">備考・メモなど</th>\n";
			print "</tr>\n";
for($h=0;$h<$mitei_count;$h=$h+1){
	print "<tr>";
			//チェック欄
					print "<td rowspan=\"2\" valign=\"top\">";
				    print "　";
					print "</td>\n";
			//担当者名
					print "<td rowspan=\"2\" width=\"80\">".$sortarray_staff[$array_mitei[$h]]."</td>\n";
			//お客様名
					print "<td rowspan=\"2\" width=\"80\">".$sortarray_customer[$array_mitei[$h]]."</td>\n";

			//チケット数
					if($sortarray_num_ticket[$array_mitei[$h]]=="1-3"){
						print "<td><font color=\"red\">1～3枚</font></td>\n";
					}else if($sortarray_num_ticket[$array_mitei[$h]]=="4-"){
						print "<td><font color=\"red\">4枚以上</font></td>\n";
					}else{
						print "<td>".$sortarray_num_ticket[$array_mitei[$h]]."枚</td>\n";
					}

			//方法
					if($sortarray_method[$array_mitei[$h]]=="チケットのみ当日渡し"){
						$sortarray_method[$array_mitei[$h]]="チケ当日";
					}
					print "<td>".$sortarray_method[$array_mitei[$h]]."</td>\n";

			//金額
					if($sortarray_price[$array_mitei[$h]]=="招待"){
						print "<td>".$sortarray_price[$array_mitei[$h]]."</td>\n";
					}else{
						print "<td>".$sortarray_price[$array_mitei[$h]]."円</td>\n";
					}
					print "</tr>\n";
					print "<tr>\n";
			//備考またはメモ用空欄
					if($sortarray_bikou[$array_mitei[$h]]==""){
						print "<td colspan=\"3\" width=\"200\">　</td>\n";
					}else{
						print "<td colspan=\"3\" width=\"200\"><span class=mini>".$sortarray_bikou[$array_mitei[$h]]."</span></td>\n";
					}
					print "</tr>\n\n";
}
for($space=0;$space<10;$space=$space+1){
					print "<tr>";
					print "<td rowspan=\"2\" valign=\"top\">";
					print "　";
					print "</td>\n";
					print "<td rowspan=\"2\" width=\"80\">　</td>\n";
					print "<td rowspan=\"2\" width=\"80\">　</td>\n";
						print "<td>　　　枚</td>\n";
					print "<td>　</td>\n";
					print "<td>　　円</td>\n";
					
					print "</tr>\n";
					print "<tr>\n";
					print "<td colspan=\"3\" width=\"200\">　</td>\n";
					
				}
				print "</table>\n";
////////////////////////////////////////////////////////////////////
?>

</body>
</html>