<!--
	user_function.php
	ユーザー画面用関数
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<?php

	/////////////////画像を表示//////////////////////////////////////////////////
	
	function set_image() {
			if(file_exists("./image.jpg")){
				print "<img src=\"./image.jpg\"><br>\n";
			}else if(file_exists("./image.gif")){
				print"　　　<img src=\"./image.gif\"><br>\n";
			}else if(file_exists("./image.png")){
				print "<img src=\"./image.png\"><br>\n";
			}
	}
	
	/////////////////ヘッダーを表示////////////////////////////////////////
	
	function set_header($title, $login_id) {
			
		print "<html><link rel=\"stylesheet\" type=\"text/css\" href=\"user_style.css\">\n";
		print "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n";
		print "<head><title>".$title."</title></head>\n";
		print "<body>";
		print "<center>";
		
		// タイトルの表示
		set_font(2, deeppink);
		print $title;
		print "</font>";
		print "<br><br>";
		
		check_id($login_id);
		
	}
	
	/////////////////フォントのサイズ・色を指定/////////////////////////////////////
	
	function set_font($size, $color) {
		print "<font size='".$size."' color='".$color."'>";
	}
	
	////////////////IDチェック///////////////////////////////////////////////////////
	
	function check_id($login_id) {
		if ($login_id == null) {
			print "ログインIDがありません<br>";
			print "もう一度ログインをお願いします";
			link_login();
			die();
		}
	}

	////////////////リンクフォーム：パスワード変更画面へ//////////////////////////////		
	
	function link_changepassward($id) {	
		print "<form method='POST' action=\"user_changepassward.php\">";
		print "<input type='hidden' name='id' value='".$id."'>";
		print "<input type = \"submit\" value = \"パスワード変更画面へ\">";
		print "</form>";
	}
	
	//////////////リンクフォーム：ログイン画面へ/////////////////////////////////////
	
	function link_login() {
		print "<form method='POST' action=\"user_login.php\">";
		print "<input type = \"submit\" value = \"ログイン画面へ\">";
	 	print "</form>";
	}
	
	////////////////リンクフォーム : 予約登録画面へ//////////////////////////////////
	
	function link_ticket_new($id) {
		print "<form method='POST' action=\"user_ticket_new.php\">";
		print "<input type='hidden' name='id' value='".$id."'>";
		print "<input type = \"submit\" value = \"予約登録画面へ\">";
		print "</form>";
	}
	
	////////////////リンクフォーム : 予約一覧画面へ//////////////////////////////////
	
	function link_ticket_list($id) {
		print "<form method='POST' action=\"user_ticket_list.php\">";
		print "<input type='hidden' name='id' value='".$id."'>";
		print "<input type = \"submit\" value = \"予約一覧画面へ\">";
		print "</form>";
	}

	////////////////リンクフォーム : 予約変更画面へ//////////////////////////////////
	
	function link_ticket_change($id, $num) {
		print "<form method='GET' action=\"user_ticket_change.php\">";
		print "<input type='hidden' name='id' value='".$id."'>";
		print "<input type='hidden' name='change' value='".$num."'>";
		print "<input type = \"submit\" value = \"予約変更画面へ\">";
		print "</form>";
	}

	
	////////////////リンクフォーム : ログアウト//////////////////////////////////
	
	function link_logout() {
		print "<form method='POST' action=\"user_logout.php\">";
		print "<input type = \"submit\" value = \"ログアウト\">";
		print "</form>";
	}
	
	
?>	
	