<!--
	user_ticket_change.php
	ユーザー用　予約変更画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->

<?php
	$posted_id = $_GET["id"];
	
?>

<!-- 処理 -->

<?php
	
	
	//////////////////エラー処理/////////////////////////////////////////////////////
	
	$error = 0;	// エラーカウント
	// エラー処理：選択がなかったとき
	if($_GET["change"] == null) {
		$error = 1;
	} else {
		$error = 0;
	}	

	/////////////// 公演の情報を取得////////////////////////////////////////////////
	
	$title = "";	// 公演のタイトル
	$stage_count = 0;	// ステージ数
	$price_count = 0;	// 値段の選択肢数

	$fileName = "kouen.csv";	// ログファイル名

	// 投稿を保存したファイルを開く
	$fp = fopen($fileName, "r");

	while($line = fgetcsv($fp, 1000, ",")) {
		list($name, $value) = $line;

		if ($name == "title") {
			$title = $name;
		}

		// ステージ数、金額の選択肢数を取得し、それぞれの値をゲット！！
		if ($name == "stage") {
			$stage[$stage_count] = $value;
			$stage_count++;
		} else if ($name == "price") {
			$price[$price_count] = $value;
			$price_count++;
		}
	}

	//ファイルを閉じる
	fclose($fp);


	////////////////変更するもとの内容を取得///////////////////////////////////////////////////
	
	$fileName = "./ticket/".$posted_id.".csv";	// ログファイル名
	$file = file("$fileName");	// ファイルを配列に？

	// 投稿を保存したファイルを開く
	$fp = fopen($fileName, "r");

	$change_name = "";	// 変更前の名前
	$change_maisuu = "";	// 変更前の枚数
	$change_date = "";	// 変更前の日にち
	$change_date_mitei = ""; // 変更前の日にちが未定かどうか
	$change_kounyuu = "";	// 変更前の購入方法
	$change_kingaku = "";	// 変更前の金額
	$change_bikou = "";		// 変更前の備考

	$change_line = $file[$_GET["change"]];	// 変更前のデータ

	$count = 0;
	while($line = fgetcsv($fp, 1000, ",")) {
		list($staff, $name, $maisuu, $kounyuu, $date, $date_mitei, $kingaku, $time, $bikou) = $line;
		// 変えたい番号に来たらデータを格納し、ループを抜ける
		if ($count >= $_GET["change"]) {
			$change_name = $name;
			$change_maisuu = $maisuu;
			$change_kounyuu = $kounyuu;
			$change_date = $date;
			$change_date_mitei = $date_mitei;
			$change_kingaku = $kingaku;
			$change_bikou = $bikou;
			break;
		}
		$count++;
	}

	//ファイルを閉じる
	fclose($fp);

	$maisuu_nyuuryoku = true;	// 枚数が直接入力かどうか
	$kingaku_nyuuryoku = true;	// 金額が直接入力かどうか

?>

<!-- 出力 -->


<?php
	// HTMLヘッダーをセット
	set_header("団員用チケット予約変更画面", $posted_id);

	// フォントを決める
	set_font(1, black);

	///////////////////////// 表示 ////////////////////////////////////////////////////////////////
	
	
		// エラー有のとき
		if ($error == 1) {
			print "変更する項目を選択してください
			<br>";
			
			link_ticket_list($_GET["id"]);	// 一覧へリンク
			die;
		} 

		print "

		<form method='POST' action='user_ticket_change_kakunin.php'>
		名前　<input type = 'text' name = 'customer' value ='";
		print $change_name;
		print "' size='10' maxlength='10'>様<br>
		※同姓の複数登録はできません。<br><br>

		枚数　
		<select name='maisuu'>
      			<option value='1' ";
			if ($change_maisuu == "1") {print "selected"; $maisuu_nyuuryoku = false;}
			print ">１枚</option>
      			<option value='2' ";
			if ($change_maisuu == "2") {print "selected"; $maisuu_nyuuryoku = false;}
			print">２枚</option>
      			<option value='3' ";
			if ($change_maisuu == "3") {print "selected"; $maisuu_nyuuryoku = false;}
			print">３枚</option>
      			<option value='4' ";
			if ($change_maisuu == "4") {print "selected"; $maisuu_nyuuryoku = false;}
			print">４枚</option>
      			<option value='5' ";
			if ($change_maisuu == "5") {print "selected"; $maisuu_nyuuryoku = false;}
			print">５枚</option>
      			<option value='1-3' style='background-color:red;' ";
			if($change_maisuu == "1-3") {print "selected"; $maisuu_nyuuryoku = false;} 
			print">未定（1～3枚）</option>
			<option value='4-' style='background-color:red;' ";
			if ($change_maisuu == "4-") {print "selected"; $maisuu_nyuuryoku = false;} 
			print">未定（4枚以上）</option>
     		</select><br>
     		
     		※６枚以上は入力：<input type='text' size='10' name ='maisuu_nyuuryoku' value='";
			if ($maisuu_nyuuryoku) {print $change_maisuu;}
			print "' size='7' istyle='4' mode='numeric' maxlength='3'>枚<br><br>


    		購入方法　
			<select name='kounyuu'> 
     			<option value='取りおき' ";
			if ($change_kounyuu == "取りおき") { print"selected";}
			print">取りおき</option> 
     			<option value='前売り' ";
			if ($change_kounyuu == "前売り") { print"selected";} 
			print">前売り</option> 
     			<option value='当日精算' ";
			if ($change_kounyuu == "当日精算") { print"selected";}
			print">当日精算</option> 
     			<option value='チケットのみ当日渡し'";
			if ($change_kounyuu == "チケットのみ当日渡し") { print "selected"; }
			print">チケットのみ当日渡し</option>
    		</select><br><br>

			日時　
    		<select name='date'>";

			// 指定されたステージ数だけ選択肢を表示しましょう
			for ($i = 0; $i < $stage_count; $i++) {
	     		print "<option value='".$stage[$i]."' ";
				if ($change_date == $stage[$i]) {
					print "selected";
				}
				print">".$stage[$i]."</option>";
			}
	    	print "</select><br>

			※未定の場合はチェック　<input type='checkbox' name='date_mitei' value='未定' ";
			if ($change_date_mitei == "未定") { print "checked"; } 
			print"><br><br>
		
			金額　";
			
			// 金額の選択肢を作る
			for ($i = 0; $i < $price_count; $i++) {
				if ($price[$i] == "招待") {
					print"
					<input type='radio' name='kingaku' value='".$price[$i]."' ";
					if ($change_kingaku == $price[$i]) {
						print "checked";
						$kingaku_nyuuryoku = false;
					}
					print">招待";
				} else if ($price[$i] != "その他") {
					print"<input type='radio' name='kingaku' value='".$price[$i]."' ";
					if ($price[$i] == $change_kingaku) {
						print "checked";
						$kingaku_nyuuryoku = false;
					}
					print">".$price[$i]."円";
				} else if ($price[$i] == "その他") {
					print"
					<br>※その他の場合は入力：<input type='text' id='num' size='10' name='kingaku_nyuuryoku' ";
					if ($kingaku_nyuuryoku) {
						print "value='".$change_kingaku."'";
					}
					print " size='8' istyle='4' mode='numeric' maxlength='5'>円<br><br>";
				}
			}


			print "		
			※備考　<input type='text' name='bikou' value='";
			print $change_bikou;
			print "' size='15' istyle='1' mode='hiragana'>
	
			<br><br>
			<input type='hidden' name='change' value='";
			print $_GET["change"];
			print "'>
			<input type='hidden' name='id' value ='".$_GET["id"]."'>
    		<input type='submit' value='変更' name='post'>
    		<input type='reset' value='リセット'>
			<br>
			</form>
    		</font>";

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	// リンク
	link_ticket_list($posted_id);
?>



</center>
</body>
</html>

<!-- 関数（出力用）-->

<?php

?>