<!--
	user_ticket_delete_kakunin.php
	ユーザー用　予約削除確認画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->

<?php	
	$login_id = $_GET["id"];	// 受け取ったID
	$change_num = $_GET["change"]; // かえるデータの番号	
?>


<!-- 処理 -->

<?php

	
?>

<!-- 出力 -->



<?php
	// HTMLヘッダーをセット
	set_header("団員用予約削除確認画面", $login_id);

	// フォントを決める
	set_font(1, black);

	// 表示
	print_delete_kakunin($change_num);

	// リンクボタン
	link_ticket_list($login_id);
?>



</center>
</body>
</html>

<!-- 関数（出力用）-->

<?php

//////////////////////////////////一覧表示部分///////////////////////////////////////////////////////////////////////

function print_delete_kakunin($change_num) {

	if ($change_num == null) {
		print "削除する項目を選択してください";
		link_ticket_list($login_id); //	一覧へリンク
		die();
	}		

	$count = 0;
	$fileName = "./ticket/".$_GET["id"].".csv";	// ログファイル名
	$file = fopen($fileName, "r");
	while($line = fgetcsv($file, 1000, ",")) {
		// 1つの投稿を表示する
		list($staff, $name, $maisuu, $kounyuu, $date, $date_mitei, $kingaku, $time, $bikou) = $line;

		if ($count == $change_num) {
			$staff_print = $staff;	// 担当者
			$customer_print = $name;	// 客	

			$ticket_num_print = decide_ticket_num_print($maisuu);	// チケット枚数

			$method_print = $kounyuu;	// 購入方法

			$date_print = decide_date_print($date, $date_mitei);	// 日程

			$price_print = decide_price_print($kingaku);

			$bikou_print = $bikou;
			break;
		}
		$count++;
	}
		//ファイルを閉じる
	fclose($file);			
	
	print "<center>";
	print $customer_print."様<br>
	　  ".$ticket_num_print."<br>
	    ".$method_print."<br>
	　  ".$date_print."<br>
		".$price_print."<br>
		".$bikou."<br>
		<br>
		この内容を削除して<br>
		よろしいですか？<br><br>
		
		<form method='POST' action='user_ticket_delete_result.php'>
			<input type='hidden' name='change' value='".$_GET["change"]."'>
			<input type='hidden' name='id' value='".$_GET["id"]."'>
			<input type='submit' value='削除'>
		</form>";
		
}

		/////////////表示用の枚数//////////////////////////////////////////////////////////
		
		function decide_ticket_num_print ($ticket_num) {
			if ($ticket_num == "1-3") {
				$ticket_num_print = "未定(1～3枚)";
			} else if ($ticket_num == "4-") {
				$ticket_num_print = "未定(4枚以上)";
			} else {
				$ticket_num_print = $ticket_num."枚";
			}
			return $ticket_num_print;
		}
		
		////////////表示用の日程//////////////////////////////////////////////////////////////	
		
		function decide_date_print ($date, $date_mitei) {

			$date_print = $date;

			if ($date_mitei == "mitei") {
				$date_print = $date_print."(未定)";
			}
			return $date_print;
		}
		
		////////////表示用の金額///////////////////////////////////////////////////////////////
		
		function decide_price_print ($price) {
			if ($price == "招待") {
				$price_print = $price;
			} else {
				$price_print = $price."円";
			}
			return $price_print;				
		}


?>
