<!--
	user_ticket_list.php
	ユーザー用　一覧画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';

?>

<!-- 入力 -->

<?php	
	$posted_id = $_POST["id"];	// 受け取ったID

	$yoyaku = false;	// 予約が入っているかどうか
	
?>


<!-- 処理 -->

<?php


	
?>

<!-- 出力 -->


<?php
	// HTMLヘッダーをセット
	set_header("団員用予約一覧画面", $posted_id);

	// フォントを決める
	set_font(1, black);

	// 表示
	print_list();

	// リンクボタン
	link_ticket_new($_POST["id"]);
	link_changepassward($_POST["id"]);
	link_logout();
?>



</center>
</body>
</html>

<!-- 関数（出力用）-->

<?php



//////////////////////////////////一覧表示部分///////////////////////////////////////////////////////////////////////

function print_list() {

	$change_num = 0;	// 変更・削除するデータの番号
	
	$fileName = "./ticket/".$_POST["id"].".csv";	// ログファイル名
	$file = fopen($fileName, "r");
	while($line = fgetcsv($file, 1000, ",")) {
		// 1つの投稿を表示する
		list($staff, $name, $maisuu, $kounyuu, $date, $date_mitei, $kingaku, $time, $bikou) = $line;

		$staff_print = $staff;	// 担当者
		$customer_print = $name;	// 客	
		$ticket_num_print = decide_ticket_num_print($maisuu);	// チケット枚数
		$method_print = $kounyuu;	// 購入方法
		$date_print = decide_date_print($date, $date_mitei);	// 日程
		$price_print = decide_price_print($kingaku);
		$bikou_print = $bikou;

		// 表示
		print"<form method='POST' action='user_ticket_chooseprocess.php'>";
		
		print"<input type='radio' name='change' value='".$change_num."'>";
		
		red(is_mitei($maisuu, $date_mitei));

		print $customer_print."様　";
		
		print $ticket_num_print."　";

		print $method_print."　";

		print $date_print."　";
	
		print $price_print."<br>";
	
		if (is_mitei($maisuu, $date_mitei)) {
			print "</font>";
		}
	
		// 備考の入力があった場合
		bikou(is_bikou($bikou), $bikou);
	
		$change_num++;
		$yoyaku = true;
	}
		//ファイルを閉じる
	fclose($file);

	is_csv($yoyaku);
		
	}


		/////////////表示用の枚数//////////////////////////////////////////////////////////
		
		function decide_ticket_num_print ($ticket_num) {
			if ($ticket_num == "1-3") {
				$ticket_num_print = "未定(1～3枚)";
			} else if ($ticket_num == "4-") {
				$ticket_num_print = "未定(4枚以上)";
			} else {
				$ticket_num_print = $ticket_num."枚";
			}
			return $ticket_num_print;
		}
		
		////////////表示用の日程//////////////////////////////////////////////////////////////	
		
		function decide_date_print ($date, $date_mitei) {

			$date_print = $date;

			if ($date_mitei == "未定") {
				$date_print = $date_print."(未定)";
			}
			return $date_print;
		}
		
		////////////表示用の金額///////////////////////////////////////////////////////////////
		
		function decide_price_print ($price) {
			if ($price == "招待") {
				$price_print = $price;
			} else {
				$price_print = $price."円";
			}
			return $price_print;				
		}

		////////////// 未定のデータかどうか/////////////////////////////////////////////////////
		
		function is_mitei($maisuu, $date_mitei) {
			if ($maisuu == "1-3" || $maisuu == "4-" || $date_mitei == "未定") {
				return true;
			} else {
				$mitei = false;
			}
		}	

		////////////// 備考の入力があるかどうか///////////////////////////////////////////////////
		
		function is_bikou($bikou) {
			if ($bikou != "") {
				return true;
			} else {
				return false;
			}
		}
		

		//////////////赤字をプリントする///////////////////////////////////////////////////////////
		
		function red($is_mitei) {
			if ($is_mitei) {
				print "<font color='red'>";
			}
		}

		//////////////備考欄をつける//////////////////////////////////////////////////////////////
		function bikou($is_bikou, $text) {
			if ($is_bikou) {
				print "※備考：".$text."<br>";
			}
		}

	////////////////////CSVが空かどうか/////////////////////////////////////////////////////////////
	function is_csv($yoyaku) {

		// csvファイルが空だったら
		if ($yoyaku == false) {
			print "<br>まだ予約はありません<br><br><br>";

		// 空じゃなかったら変更・削除ボタンをつける	
		} else {
		print"<br><br>
		
			<input type='hidden' name='id' value='".$_POST["id"]."'>
			<input type=\"submit\" name='soushin' value='削除'>
			<input type=\"submit\" name='soushin' value='変更'>
		</form>";
		}
	}


?>

