<!--
	user_ticket_new.php
	ユーザー用　チケット登録画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->
<?php

	$posted_id = $_POST["id"]; // ID
			
	// 公演の情報を取得する
	$title = "";	// 公演のタイトル
	$stage_count = 0;	// ステージ数
	$price_count = 0;	// 値段の選択肢数


?>

<!-- 処理 -->

<?php
	$fileName = "kouen.csv";	// ログファイル名
	 
	
	// 公演情報のファイルを開く
	$fp = fopen($fileName, "r");
	
	while($line = fgetcsv($fp, 1000, ",")) {
			list($name, $value) = $line;

			if ($name == "title") {
				$title = $name;
			}

			// ステージ数、金額の選択肢数を取得し、それぞれの値をゲット！！
			if ($name == "stage") {
				$stage[$stage_count] = $value;
				$stage_count++;
			} else if ($name == "price") {
				$price[$price_count] = $value;
				$price_count++;
			}
		}

	
	//ファイルを閉じる
	fclose($fp);
	
?>

<!-- 出力 -->



<?php
	// HTMLヘッダーをセット
	set_header("団員用チケット登録画面", $posted_id);

	// フォントを決める
	set_font(1, black);

	// フォームを表示




		print "<form method='POST' action='./user_ticket_new_kakunin.php'>";

		print "名前　　";
		print "<input type = 'text' name = 'customer' size='10' maxlength ='10'>様<br>";
		print "※同姓の複数登録はできません。";
		print "<br><br>";

		print "枚数　　";
		print "
			<select name='maisuu'>
      			<option value='1'>１枚</option>
      			<option value='2' selected>２枚</option>
      			<option value='3'>３枚</option>
      			<option value='4'>４枚</option>
      			<option value='5'>５枚</option>
      			<option value='1-3' style='background-color:red;'>未定（1～3枚）</option>
				<option value='4-' style='background-color:red;'>未定（4枚以上）</option>
     		</select><br>
			※６枚以上は入力：
			<input type='text' size='7' id='num' name ='maisuu_nyuuryoku' istyle='4' mode='numeric' maxlength='3'>枚
			<br><br>";

   		print "購入方法
			<select name='kounyuu'> 
     			<option value='取りおき' selected>取りおき</option> 
     			<option value='前売り'>前売り</option> 
     			<option value='当日精算'>当日精算</option> 
     			<option value='チケットのみ当日渡し'>チケットのみ当日渡し</option>  
    		</select><br><br>";

		print "日時　　
		<select name='date'>";

			// 指定されたステージ数だけ選択肢を表示
			for ($i = 0; $i < $stage_count; $i++) {
	     			print "<option value='".$stage[$i]."' selected>".$stage[$i]."</option>";
			}
			
    	print "</select><br>";


		print "※未定の場合はチェック　";
		print "<input type='checkbox' name='date_mitei' value='未定'><br><br>";
				

		print "金額<br>";
	
			// 金額の選択肢を作る
			for ($i = 0; $i < $price_count; $i++) {
				if ($price[$i] == "招待") {
					print"
					<input type='radio' name='kingaku' value='招待' ";
					// $i が0だったらデフォルトに
					if ($i == 0) {
						print "checked";
					}
					print">招待";
				} else if ($price[$i] == "その他") {
					print"
					<br><font size='2'>※その他の場合は入力：<input type='text' id='num' size='8' name='kingaku_nyuuryoku' istyle='4' mode='numeric' maxlength='5'>円</font><br><br>";
				} else {
					print"<input type='radio' name='kingaku' value='".$price[$i]."' ";
					// $i が0だったらデフォルトに
					if ($i == 0) {
						print "checked";
					}
					print">".$price[$i]."円";
					if ($i == 0) {
						print "(前売り)";
					} else if ($i == 1) {
						print "(当日)";
					}
				}
				print "<br>";
			}

		print "※備考";
		print "<input type ='text' name='bikou' size='15' istyle='1' mode='hiragana' maxlength='50'>";

		print "<br><br>";
  		
  		print "<input type='hidden' name='id' value='".$_POST["id"]."'>";
  		print "<input type='submit' value='登録' name='post' accesskey='0'>　";
    	print "<input type='reset' value='リセット'>";
		print "<br><br>";
		print "</form>";
		
	



	//リンクの表示
	
	link_ticket_list($_POST["id"]);
	link_changepassward($_POST["id"]);
	link_logout();

?>



</center>
</body>
</html>
