﻿<!--
	jimu_kanri.php
	事務員劇団管理画面（事務員メイン画面）
	author: Kiho Murakami
	history: 
		2008/01/04 村上 第1版作成
-->
<!--ライブラリ-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
	include './jimu_kanri_mobile_check.php';
	include './jimu_kanri_backup.php';
?>
<!--入力-->
<?php
	$m_change = $_POST["mobile_change"];
?>

<!--処理-->
<?php set_header("劇団管理ページ"); ?>
<?php set_quicklink(); ?>

<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}
//バックアップ
	make_backup();

//-----------------------------------------------------------------//
//　　【処理】公演データの抜き出し
//-----------------------------------------------------------------//
	$kouen_flag = kouen_check();

//-----------------------------------------------------------------//
//　　【処理】モバイル対象　切り替え
//-----------------------------------------------------------------//

if($m_change == "切り替える"){

	$fileName = "kouen.csv";
	$file = fopen($fileName, "r");

	while($line = fgetcsv($file, 1000, ",")){
		list($mark, $value) = $line;
		if($mark == "mobile"){
			$m_flag = $value;
		}
	}
	fclose($file);

	if($m_flag == "on"){
		$m_flag = "off";
	}else if($m_flag == "off"){
		$m_flag = on;
	}


//ファイルのon/off切り替え

		$new_file = "kouen_tmp.csv";
		$old_file = "kouen.csv";
	
		unlink("$new_file");
		touch("$new_file");	

		$fp_old = fopen($old_file, "r");
		$fp_new = fopen($new_file, "w");
		flock($fp_new, LOCK_EX);

		while($line = fgetcsv($fp_old, 1000, ",")) {
			list($mark, $value) = $line;

			if($mark=="mobile"){
				$value = $m_flag;

				$posted = compact("mark", "value");
				$data = implode(",", $posted);
				fputs($fp_new, $data."\n");	
			}else{
				$posted = compact("mark", "value");
				$data = implode(",", $posted);
				fputs($fp_new, $data."\n");	
			}

		}

		flock($fp_new, LOCK_UN);
		fclose($fp_new);
		fclose($fp_old);

		unlink("$old_file");
		touch("$old_file");
		copy("$new_file", "$old_file");


	$m_change="";
}

//-----------------------------------------------------------------//
//　　【処理】モバイル対象中か調べる
//-----------------------------------------------------------------//
if($kouen_flag){
	$m_msg = mobile_check();
}

?>



<!--出力-->
<?php
//---------------------------------------------------------------------------------//
//　　【表示】公演情報
//---------------------------------------------------------------------------------//
?>
<h2>劇団管理ページ</h2>
<br>
<h3>●公演データ</h3>

<?php
if($kouen_flag==true){

	get_value("title", "<h2>　", "</h2>");

	//予約一覧へリンク
	print "<h4>　●登録状況</h4>\n";
	print "　　<b><a href = \"jimu_ticket_list.php\">一覧を見る</a></b>";

	print "<br><br>\n";

	print "<form method=\"post\" action=\"\">\n";
	print "　　現在、携帯での予約登録は…　<b><font color=\"crimson\">".$m_msg."</font></b>　です。\n";
		print "　　<input type=\"submit\" name=\"mobile_change\" value=\"切り替える\">\n";
	print "</form>\n";

	print "<h4>　●日時</h4>\n";
	get_value("stage", "　　20", "開演");

	print "<h4>　●金額</h4>\n";
	get_value("price", "　　", "");
	print "<br><br>\n";


}else{

	print "　<a href=\"jimu_kouen_new.php\">新規公演ページの作成</a>をしてください<br><br>\n";

}


//---------------------------------------------------------------------------------//
//　　【表示】画像管理
//---------------------------------------------------------------------------------//
?>


　<h3><a name="pic">●画像管理</a></h3>
	<form method="post" action="jimu_kanri_picture_upload.php" enctype="multipart/form-data">
　●画像の変更：
	<input type="file" name="picture_file" size="30">
	　<input type="submit" value="画像を登録"><br>
	</form>

　●今の画像：<br>
<?php	set_picture();  ?>


<a href="jimu_kanri.php">▲top</a><br>
<br><br>

<?php
//---------------------------------------------------------------------------------//
//　　その他リンク
//---------------------------------------------------------------------------------//
?>

<h3>●ログイン関係の管理</h3>
　●<a href="jimu_kanri_login_id.php">個人IDの管理をする</a><br>
　●<a href="jimu_changepassword.php">パスワードの変更をする</a><br>
<br><br><br><br><br><br><br><br><br><br><br><br>
<font size="2">
　　★<a href="jimu_kanri_masic_button.php">魔法のボタン</a>★<br>
</font>
</body></html>



<?php
//---------------------------------------------------------------------------------//
//　　【出力：関数】公演の情報を表示させる
//---------------------------------------------------------------------------------//

function get_value($get_mark, $befor_comment, $after_comment){
	$fileName = "kouen.csv";
	$file = fopen($fileName, "r");

	while($line = fgetcsv($file, 1000, ",")){
		list($mark, $value) = $line;
			if($get_mark == $mark){
				if($mark == "stage"){
					get_ticket($value);
				}else{
					print $befor_comment.$value.$after_comment."<br>\n";
				}
			}
	}
	fclose($file);
}

//---------------------------------------------------------------------------------//
//　　【出力：関数】日付と、各日付の登録済みチケット枚数を表示させる
//---------------------------------------------------------------------------------//

function get_ticket($stage){

	$ticket = 0;


	foreach (glob("./ticket/*.csv") as $fileName) {
	
		if(!preg_match("/_tmp/",$fileName)){
		
			$file = fopen($fileName, "r");

			while($line = fgetcsv($file, 1000, ",")){
				list($staff, $customer, $ticket_num, $method, $yoyaku_stage,$date_mitei, $price, $entry, $bikou) = $line;
	
				if($stage == $yoyaku_stage){
					if($ticket_num == "1-3"){
							$ticket = $ticket + 2;
					}else if($ticket_num == "4-") {
							$ticket = $ticket + 4;
					}else{
							$ticket = $ticket + $ticket_num;
					}
				}
			}
			fclose($file);
		}
	}

	print "　　20".$stage."開演　＋　登録済みチケット枚数：約".$ticket."枚<br>\n";

}


?>

