<!--
	jimu_kanri_picture_upload.php
	事務員画像変更完了画面
	author: Kiho Murakami
	history: 
		2008/01/04 村上 第1版作成
-->
<!--ライブラリ-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
?>

<!--入力-->
<?php
	$size = $_FILES['picture_file']['size'];
	$name = $_FILES['picture_file']['tmp_name'];


	$type = getimagesize($name);
	$type = $type['mime'];

?>

<?php set_header("画像アップロードページ"); ?>
<?php set_quicklink(); ?>



<!--処理-->
<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}

//------------------------------------------------//
//　　登録エラー
//------------------------------------------------//


//エラー（１）空欄
if($size == 0){

	$error_msg[] = "画像を選択してください。";

//エラー（２）拡張子がjpeg、gif、png以外だった
}else if($type != "image/jpeg" && $type != "image/gif" && $type != "image/png"){

	$error_msg[] = "jpeg、gif、png以外の画像は登録できません。";

//エラーなし、今まで登録されていたものを消し、新しく登録する
}else{
	unlink_picture();
	picture_upload($type, $name);
}


//------------------------------------------------//
//　　【関数】登録
//------------------------------------------------//

function picture_upload($type, $name){

	if($type == "image/jpeg"){
		move_uploaded_file($name, "image.jpg");

	} else if($type == "image/gif"){
		move_uploaded_file($name, "image.gif");

	} else if($type == "image/png"){
		move_uploaded_file($name, "image.png");
	}
}


//------------------------------------------------//
//　　【関数】画像を消す
//------------------------------------------------//

function unlink_picture(){

		if(file_exists("image.jpg")){
			unlink("image.jpg");
		}
		if(file_exists("image.gif")){
			unlink("image.gif");
		}
		if(file_exists("image.png")){
			unlink("image.png");
		}

}

?>

<!--出力-->

<h2>劇団管理ページ</h2>
<h4>●画像管理</h4>

<?php

if(count($error_msg) != 0){
	for($i = 0; $i < count($error_msg); $i++) {
		print "<span class=error>　".$error_msg[$i]."</span><br>\n";
	}
}else{
	set_picture();
}

?> 

<br><br><br><br>
<a href="jimu_kanri.php#pic">戻る</a>

</body></html>

