<!--
	jimu_ticket_list.php
	チケット一覧画面
	author: Keitarou Shimizu
	history: 
		2008/01/09 清水 第1版作成
		2008/01/09 村上
-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
?>
<?php set_header("チケット管理一覧表"); ?>
<?php set_quicklink(); ?>
<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}

$csv_file="kouen.csv";

?>
<?php
$tmp="filetmp.csv";
unlink($tmp);
	touch($tmp);

$readfile = fopen($csv_file, "r") or die("※現在予約の受付は行われていません $csv_file");
flock($readfile, LOCK_EX);
$stagedates=array();
$countdates=0;
$stageprices=array();
$countprices=0;
$delete=null;
while($line = fgetcsv($readfile, 1000, ",")) {
//1つの投稿を表示する
	list($mark,$value)= $line;
	if($mark=="data"){
		$filename=$value;
	}
	if($mark=="title"){
		$title=$value;
	}
	if($mark=="stage"){
		$stagedates[$countdates]=$value;
		$countdates=$countdates+1;
	}
	if($mark=="price"){
		$stageprices[$countprices]=$value;
		$countprices=$countprices+1;
	}
}
flock($readfile, LOCK_UN);
fclose($readfile);
	
// データを入れなきゃ
	//最初に入ってるデータ消しちゃう
	$dataFile = "unitedfile.csv";
	unlink($dataFile);
	touch($dataFile);


	$id = "user_pass.csv";
	$id_file = fopen($id, "r");
	while($line = fgetcsv($id_file, 1000, ",")) {
		list($load_staff, $load_id, $load_pass) = $line;

		$data = "./ticket/".$load_id.".csv";
		$datafile = fopen($data, "r");
		while($line = fgetcsv($datafile, 1000, ",")) {
		list ($staff, $customer, $num_ticket, $method, $stage, $date_mitei, $price, $entry_date, $bikou,$load_id) = $line;



	// 書き込みます
	$file = fopen($dataFile, "a") or die("OPEN ERROR $fileName");
	flock($file, LOCK_EX);//ファイルをロックする（同時書き込みの防止)

		//書き込むデータを作成する
		$posted = compact("staff", "customer", "num_ticket", "method", "stage", "date_mitei", "price", "entry_date", "bikou",$load_id);//投稿内容を配列に結合？
		$data = implode(",", $posted);//ログファイルに入れる文字列
		//書き込む
		fputs($file, $data."\n");

	flock($file, LOCK_UN);
	fclose($file);
	}
}

$unitedfile="unitedfile.csv";


$sort = $_POST["sort"];
$staff =$_POST["staff"];
$customer= $_POST["customer"];
$num_ticket= $_POST["num_ticket"];
$method = $_POST["method"];
$stage = $_POST["stage"];
$date_mitei=$_POST["date_mitei"];
$price = $_POST["price"];
$entry_date = $_POST["entry_date"];
$bikou = $_POST["bikou"];


?>
<?php		
								//各テーブルソート配列作成
	$makefile = fopen($unitedfile, "r");
	$count=0;
	$i=0;
	$sortarray_staff=array();
	$sortarray_customer=array();
	$sortarray_num_ticket=array();
	$sortarray_method=array();
	$sortarray_stage=array();
	$sortarray_date_mitei=array();
	$sortarray_price=array();
	$sortarray_entry_date=array();
	$sortarray_bikou=array();
	$sortarray_login_id=array();
	$linenum=array();
	while($line = fgetcsv($makefile, 1000, ",")) {
	//1つの投稿を表示する
	list($staff,$customer, $num_ticket, $method, $stage, $date_mitei, $price, $entry_date,$bikou)= $line;
	$sortarray_staff[$i]=$staff;						//配列にCSVデータを入れる。
	$sortarray_customer[$i]=$customer;
	$sortarray_num_ticket[$i]=$num_ticket;
	$sortarray_method[$i]=$method;
	$sortarray_stage[$i]=$stage;
	$sortarray_date_mitei[$i]=$date_mitei;
	$sortarray_price[$i]=$price;
	$sortarray_entry_date[$i]=$entry_date;
	$sortarray_bikou[$i]=$bikou;
	$sortarray_login_id[$i]=$load_id;
	$linenum[$i]=$i;
	$i=$i+1;
	}
	fclose($makefile);	
	$max=$i;
if($sort=="担当者名"){											//担当者名の昇順にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if(strcmp($sortarray_staff[$x],$sortarray_staff[$y])==1){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			$temp=$sortarray_login_id[$x];
			$sortarray_login_id[$x]=$sortarray_login_id[$y];
			$sortarray_login_id[$y]=$temp;
			}
		}	
	}
}
if($sort=="お客様名"){														//お客様名の昇順にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if(strcmp($sortarray_customer[$x],$sortarray_customer[$y])==1){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			}
		}	
	}
}
if($sort=="枚数"){														//枚数の少ない順番にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if($y!=null&&$sortarray_num_ticket[$x]>$sortarray_num_ticket[$y]){
		    $temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			}
		}	
	}
}
if($sort=="購入方法"){												//購入方法別にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if(strcmp($sortarray_method[$x],$sortarray_method[$y])==1){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			}
		}	
	}
}
if($sort=="公演日時"){												//公演日時の早い順番にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if($y!=null&&$sortarray_stage[$x]>$sortarray_stage[$y]){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			}
		}	
	}
}
if($sort=="金額"){    												//金額を昇順にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if($y!=null&&$sortarray_price[$x]>$sortarray_price[$y]){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			}
		}	
	}
}
if($sort=="登録日(更新日）"){										//登録日を昇順にソート
	for($x=0;$x<$max-1;$x=$x+1){
		for($y=$x+1;$y<$max;$y=$y+1){
			if($y!=null&&$sortarray_entry_date[$x]>$sortarray_entry_date[$y]){
			$temp=$sortarray_staff[$x];
			$sortarray_staff[$x]=$sortarray_staff[$y];
			$sortarray_staff[$y]=$temp;
			$temp=$sortarray_customer[$x];
			$sortarray_customer[$x]=$sortarray_customer[$y];
			$sortarray_customer[$y]=$temp;
			$temp=$sortarray_num_ticket[$x];
			$sortarray_num_ticket[$x]=$sortarray_num_ticket[$y];
			$sortarray_num_ticket[$y]=$temp;
			$temp=$sortarray_method[$x];
			$sortarray_method[$x]=$sortarray_method[$y];
			$sortarray_method[$y]=$temp;
			$temp=$sortarray_stage[$x];
			$sortarray_stage[$x]=$sortarray_stage[$y];
			$sortarray_stage[$y]=$temp;
			$temp=$sortarray_price[$x];
			$sortarray_price[$x]=$sortarray_price[$y];
			$sortarray_price[$y]=$temp;
			$temp=$sortarray_entry_date[$x];
			$sortarray_entry_date[$x]=$sortarray_entry_date[$y];
			$sortarray_entry_date[$y]=$temp;
			$temp=$sortarray_bikou[$x];
			$sortarray_bikou[$x]=$sortarray_bikou[$y];
			$sortarray_bikou[$y]=$temp;
			$temp=$sortarray_date_mitei[$x];
			$sortarray_date_mitei[$x]=$sortarray_date_mitei[$y];
			$sortarray_date_mitei[$y]=$temp;
			$temp=$linenum[$x];
			$linenum[$x]=$linenum[$y];
			$linenum[$y]=$temp;
			}
		}	
	}
}
$newarray_staff=array();								//担当者の総数を計算
$unique=array_unique($sortarray_staff);
$j=0;
for($m=0;$m<$max;$m=$m+1){
	if($unique[$m]!=null){
		$newarray_staff[$j]=$unique[$m];
		$j=$j+1;
	}
}
sort($newarray_staff);							//担当者を昇順にソート
$num_staff=count($newarray_staff);

$staffarray_ticket=array();						//担当者ごとの販売枚数を求める配列作成
$staffarray_price=array();						//担当者ごとの販売総額を求める配列作成
for($k=0;$k<$num_staff;$k=$k+1){
		$staffarray_ticket[$k]=0;				//担当者ごとの販売枚数・総額を計算
		$staffarray_price[$k]=0;
		for($l=0;$l<$max;$l=$l+1){	
			if($sortarray_staff[$l]==$newarray_staff[$k]){
				if($sortarray_num_ticket[$l]=="1-3"){
				$a=$sortarray_price[$l]*2;
				$b=2;
				}
				else if($sortarray_num_ticket=="4-"){
				$a=$sortarray_price[$l]*4;
				$b=4;
				}
				else{
				$a=$sortarray_price[$l]*$sortarray_num_ticket[$l];
				$b=$sortarray_num_ticket[$l];
				}
			$staffarray_ticket[$k]=$staffarray_ticket[$k]+$b;
			$staffarray_price[$k]=$staffarray_price[$k]+$a;
			}
		}
}

$amount_ticket=0;
$count = $i;									//販売チケット総数の計算
for($j=0;$j<$count;$j=$j+1){
	if($sortarray_num_ticket[$j]=="1-3"){
		$amount_ticket=$amount_ticket+2;
	}else if($sortarray_num_ticket[$j]=="4-"){
		$amount_ticket=$amount_ticket+4;
	}else{
		$amount_ticket=$amount_ticket+$sortarray_num_ticket[$j];
	}
}
$amount_price=array_sum($staffarray_price);			//販売チケット総額の計算


?>
<!--出力-->
<?php
print "<u><i><h1>チケット管理一覧表</h1></i></u>\n";
print "<h2>".$title."</h2>";
?>

<form method="POST" action="./jimu_ticket_list_printable.php" />
	<input type="submit" name="print" value="印刷画面へ">
</form>

<?php
//----------------------------------------------//
//　　担当者ごとの販売枚数・総額を表示
//----------------------------------------------//

for($n=0;$n<$num_staff;$n=$n+1){
	print "<font color=\"brue\"font face=\"HG創英角ﾎﾟｯﾌﾟ体\">".$newarray_staff[$n]."</font>の販売枚数は<font color=\"blue\"font face=\"HG創英角ﾎﾟｯﾌﾟ体\">".$staffarray_ticket[$n]."枚</font>です。合計金額は<font color=\"blue\"font face=\"HG創英角ﾎﾟｯﾌﾟ体\">".$staffarray_price[$n]."円</font>です\n";
	print "<br><br>\n";
}


//----------------------------------------------//
//　　総数・総額の表示
//----------------------------------------------//

print "現在のチケット販売総枚数は<font color=\"blue\"font size =\"5\"font face=\"HG創英角ﾎﾟｯﾌﾟ体\">".$amount_ticket."枚</font>です！！\n";
print "売り上げ総額は<font color=\"blue\"font size=\"5\"font face=\"HG創英角ﾎﾟｯﾌﾟ体\">".$amount_price."円</font>です！!<br>\n";
print "<br><br>\n";

//----------------------------------------------//
//　　【出力】リスト
//----------------------------------------------//

print "<a name=\"list\"><h3>●一覧表</h3></a>\n";
print "<font color=\"red\">※赤字表示は後に変更の可能性あり</font><br><br>\n";

	print "<table>\n";

	print "<tr><td></td><td></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
		<input type=\"submit\" name=\"sort\" value=\"担当者名\"></form></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
    	<input type=\"submit\" name=\"sort\" value=\"お客様名\"></form></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
		<input type=\"submit\" name=\"sort\" value=\"枚数\"></form></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
		<input type=\"submit\" name=\"sort\" value=\"購入方法\"></form></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
		<input type=\"submit\" name=\"sort\" value=\"公演日時\"></form></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
		<input type=\"submit\" name=\"sort\" value=\"金額\"></form></td>\n";
	print "<td><form method=\"POST\" action=\"./jimu_ticket_list.php#list\" />
		<input type=\"submit\" name=\"sort\" value=\"登録日(更新日）\"></form></td>\n";
	print "<td>	備考</td>\n";
	print "</tr>\n";

$count=$i;
for($i=0;$i<$count;$i=$i+1){
	print "<tr>";									//変更・削除ボタンの作成
	print "<td width=\"40\">					
		<form method=\"POST\" action=\"./jimu_ticket_change.php\" />
		<input type=\"submit\" name=\"henkou\" value=\"変更\">
		<input type=\"hidden\"name=\"linenum\" value=$linenum[$i]>
		</form></td>\n";
	print "<td width=\"40\">
		<form method=\"POST\" action=\"./jimu_ticket_delete_kakunin.php\" />
		<input type=\"submit\" name=\"sakujo\" value=\"削除\"onclick=\"DELETE()\">
		<input type=\"hidden\"name=\"linenum\" value=$linenum[$i]>
		<input type=\"hidden\"name=\"csv_file\" value=$csv_file>
		</form></td>\n";
	print "<td>".$sortarray_staff[$i]."</td>\n";			//各テーブルの表示
	print "<td>".$sortarray_customer[$i]."</td>\n";
	if($sortarray_num_ticket[$i]=="1-3"){
		print "<td><font color=\"red\">1～3枚</font></td>\n";
	}else if($sortarray_num_ticket[$i]=="4-"){
		print "<td><font color=\"red\">4枚以上</font></td>\n";
	}else{
		print "<td>".$sortarray_num_ticket[$i]."枚</td>\n";
	}
	print "<td>".$sortarray_method[$i]."</td>\n";
    if($sortarray_date_mitei[$i]=="未定"){
		print "<td><font color=\"red\">".$sortarray_stage[$i]."</font></td>\n";
	}else{
	print "<td>".$sortarray_stage[$i]."</td>\n";
	}
	if($sortarray_price[$i]=="招待"){
		print "<td>".$sortarray_price[$i]."</td>\n";
	}else{
		print "<td>".$sortarray_price[$i]."円</td>\n";
	}
	print "<td>".$sortarray_entry_date[$i]."</td>\n";
	print "<td>".$sortarray_bikou[$i]."</td>\n";
	print " </tr>\n";
}
	print "</table>\n";


?>

</body>
</html>