<!--
	user_login.php
	ユーザー用　ログイン完了画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->

<?php

	// 送信されたID,パスワードを取得する
	$login_id = $_POST["id"];	// ID
	$user_pass = $_POST["pass"];	// PASS
	
?>

<!-- 処理 -->

<?php

	$result = false; // ID,パスワードが正しいかどうか
	$first = false;	// 初めてログインするかどうか（既にパスワードが変えられているか


	// IDのCSVがあるか
	$csv_flag = false;
	
	foreach (glob("user_pass.csv") as $filename) {
		$csv_flag = true;
	}
	
	if (!$csv_flag) {
		print "エラー：１０５";
		die;
	}

	// パスワード認証
	$filename ="./user_pass.csv";	// ログファイル名
		
	// 投稿を保存したファイルを開く
	$file = fopen($filename, "r");
	
	// 指定されたIDとパスワードがあっているかどうか
	while($line = fgetcsv($file, 1000, ",")) {
		list($name, $id, $pass) = $line;
		if ($id == $login_id) {
			if ($pass == $user_pass) {
				$result = true;		// 認証OK
				if ($id == $pass) {	// IDとPASSが同じだったら
					$first = true;	// 初めてのログイン
				}
			}
		}
	}
	//ファイルを閉じる
	fclose($file);

?>


<!-- 出力 -->



<?php
	// HTMLヘッダーをセット
	set_header("団員用ログイン完了画面", $login_id);

	// フォントを決める
	set_font(1, black);
		
	// 表示
	print_login_result($result, $first, $login_id);

?>



</center>
</body>
</html>

<!-- 関数（出力用）-->

<?php

	function print_login_result($result, $first, $login_id) {
	
		
		if (!$result) {
			print"
				IDまたはパスワードが<br>
				間違っています<br><br>";
		
			// ログイン画面へのリンク
			link_login();	
	
			die();
		}

		if ($first) {
			print"
				ログイン完了<br><br>
				お手数ですが、最初に<br>
				パスワードの変更をお願いします。<br><br>";
		
			//パスワード変更画面へのリンク
			link_changepassward($login_id);
	
			die;
		} 
		
		// ★ログイン完了した場合
		
		print"ログイン完了<br><br>";
		link_ticket_new($login_id);
		link_ticket_list($login_id);
		link_changepassward($login_id);
		link_logout();
	
	}

?>
