<!--
	user_ticket_change_result.php
	ユーザー用　予約変更完了画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->

<?php
	$posted_id = $_POST["id"];
	
?>


<!-- 処理 -->

<?php

	//団員名を取得しよう
	$passfile ="user_pass.csv";	// ログファイル名

	// 投稿を保存したファイルを開く
	$file = fopen($passfile, "r");


	// 指定されたIDから担当者名を取得
	while($line = fgetcsv($file, 1000, ",")) {
		list($name, $id, $pass) = $line;
		if ($id == $posted_id) {
			$new_staff = $name;
		}


	}
	//ファイルを閉じる
	fclose($file);


	//投稿を書き込む

	$new_customer = $_POST["customer"];		//お客様名
	$new_ticket_num = $_POST["ticket_num"];	// チケット枚数
	$new_method = $_POST["method"];	//購入方法
	$new_date = $_POST["date"];		// 日時
	$new_date_mitei = $_POST["date_mitei"];	// 日時が未定かどうか
	$new_price = $_POST["price"];	//金額
	$new_bikou = $_POST["bikou"];	// 備考欄
	
	$change_num = $_POST["change"];

	$new_file = "./ticket/".$posted_id."_tmp.csv";
	$old_file = "./ticket/".$posted_id.".csv";
	
	// 新しいほうのファイルをクリアする
	unlink("$new_file");
	touch("$new_file");	

	$fp_old = fopen($old_file, "r");
	$fp_new = fopen($new_file, "w");
	flock($fp_new, LOCK_EX); // ファイルロック

	$count = 0;
	while($line = fgetcsv($fp_old, 1000, ",")) {
		if ($count != $change_num) {
			list($staff, $name, $maisuu, $kounyuu, $date, $date_mitei, $kingaku, $time, $bikou) = $line;
			$posted = compact("staff", "name", "maisuu", "kounyuu", "date", "date_mitei", "kingaku", "time", "bikou");//投稿内容を配列に結合？
			$data = implode(",", $posted);//ログファイルに入れる文字列
			fputs($fp_new, $data."\n");	
		} else {
			$new_time = date("Y/m/d H:i:s");
			$posted = compact("new_staff", "new_customer", "new_ticket_num", "new_method", "new_date", "new_date_mitei", "new_price", "new_time", "new_bikou");//投稿内容を配列に結合？
			$data = implode(",", $posted);//ログファイルに入れる文字列
			fputs($fp_new, $data."\n");	
		}
		$count++;
	}


	flock($fp_new, LOCK_UN); // ロック解除
	fclose($fp_new);
	fclose($fp_old);

	// 新しいファイルの内容を古いファイルに写す
	unlink("$old_file");
	touch("$old_file");
	copy("$new_file", "$old_file");

?>

<!-- 出力 -->



<?php
	// HTMLヘッダーをセット
	set_header("団員用チケット予約変更確認画面", $posted_id);

	// フォントを決める
	set_font(1, black);

	// 表示
	print "変更しました";
	
	// リンクボタン
	link_ticket_list($_POST["id"]);	// 一覧へ
	link_ticket_new($_POST["id"]);	// 登録画面へ
	link_changepassward($_POST["id"]);	// パスワード変更へ
	link_logout();	// ログアウト
	

?>

</center>
</body>
</html>