<!--
	user_ticket_delete_result.php
	ユーザー用　予約消去完了画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->
<?php

	$login_id = $_POST["id"];	//ID
	$delete_line_number = $_POST["change"];	// 変更する項目
	
?>

<!-- 処理 -->

<?php

	// ファイルを消去する
	$filename = "./ticket/".$login_id;
	delete_line($filename, $delete_line_number);
?>

<!-- 処理（関数）-->
<?php
function delete_line($filename, $line_number) {
	
	//一時ファイルを作る
	$tmp_filename = $filename."_tmp.csv";
	$filename = $filename.".csv";
	
	//正規ファイルをメモリに読み込んで，対象行を消す
	$lines = file($filename);
	unset($lines[$line_number]);
		
	$tmpfile = fopen("$tmp_filename", "w");
	foreach ($lines as $line) { 
		fwrite($tmpfile, $line); 
	}
	fclose($tmpfile);

	//一時ファイルの内容を正規ファイルにコピーする
	unlink("$filename");
	touch("$filename");
	copy("$tmp_filename", "$filename");
}
?>

<!-- 出力 -->


<?php
	// HTMLヘッダーをセット
	set_header("団員用予約消去完了画面", $login_id);

	// フォントを決める
	set_font(1, black);

	// 表示
	print "削除しました";
	
	// リンクボタン
	link_ticket_list($_POST["id"]);	// 一覧へ
	link_ticket_new($_POST["id"]);	// 登録画面へ
	link_changepassward($_POST["id"]);	// パスワード変更へ
	link_logout();	// ログアウト
	
?>

</center>
</body>
</html>
