﻿<!--
	user_ticket_new_result.php
	ユーザー用　予約登録完了画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->
<?php


	$posted_id = $_POST["id"]; //ID

	//団員名を取得
	$passfile ="user_pass.csv";	// ログファイル名

	$file = fopen($passfile, "r");

	while($line = fgetcsv($file, 1000, ",")) {
		list($name, $id, $pass) = $line;
		if ($id == $posted_id) {
			$staff = $name;	// 団員名
		}
	}
	//ファイルを閉じる
	fclose($file);



	$name = $_POST["name"];		//お客様名
	$maisuu = $_POST["maisuu"];	// 枚数
	$kounyuu = $_POST["kounyuu"];	//購入方法
	$date = $_POST["date"];		// 日時
	$date_mitei = $_POST["date_mitei"];	// 日時が未定かどうか
	$kingaku = $_POST["kingaku"];   // 金額
	$time = date("Y/m/d H:i:s");	//投稿時間
	$bikou = $_POST["bikou"];	// 備考

?>

<!-- 処理 -->

<?php

	//投稿を書き込む
	$dataFile = "./ticket/".$posted_id.".csv";		//ログファイル名

	//投稿保存ファイルを開く
	$file = fopen($dataFile, "a") or die("OPEN ERROR $dataFile");
	flock($file, LOCK_EX);//ファイルをロックする（同時書き込みの防止）

	//書き込む
	//書き込むデータを作成する
	$posted = compact("staff", "name", "maisuu", "kounyuu", "date", "date_mitei", "kingaku", "time", "bikou");//投稿内容を配列に結合？
	$data = implode(",", $posted);//ログファイルに入れる文字列
	//書き込む
	fputs($file, $data."\n");

	//ファイルを閉じる
	flock($file, LOCK_UN);//ファイルのロックを解除する
	fclose($file);
	
?>

<!-- 出力 -->



<?php
	// HTMLヘッダーをセット
	set_header("団員用予約登録完了画面", $posted_id);

	// フォントを決める
	set_font(1, black);

	print "登録完了しました！！<br><br>";

	// リンクボタン
	link_ticket_list($_POST["id"]);
	link_ticket_new($_POST["id"]);
	link_logout();
?>


</center>
</body>
</html>


